[RISOLTO] Impossibile leggere pdf

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
RedSkull92
Linux 2.6
Linux 2.6
Messaggi: 567
Iscritto il: mar apr 21, 2009 17:25
Slackware: 64bit -current
Kernel: 3.5.4
Desktop: FluxBox
Località: Palermo
Contatta:

[RISOLTO] Impossibile leggere pdf

Messaggioda RedSkull92 » mar lug 24, 2012 17:17

Uso principalmente epdfview ma quando vado ad aprire un pdf mi dà errore.
Controllo e ho visto che mancavano: libpoppler-glib.so.6 e libpoppler.so.13
Mi creo i link, ora epdfview si apre ma non mi fa vedere il pdf, ecco l'errore:
epdfview: symbol lookup error: epdfview: undefined symbol: poppler_page_render_to_pixbuf
Ho provato ad aggiornare poppler a poppler-0.20.2-i486-1 vedendo che era uscita la versione stable ma continua a darmi il solito errore
Ho provato anche ad eseguire okular ed evince e neanche loro funzionano.
la nuova versione di poppler (quella in -current) deve aver incasinato tutto
Ultima modifica di RedSkull92 il sab lug 28, 2012 12:26, modificato 1 volta in totale.

Avatar utente
RedSkull92
Linux 2.6
Linux 2.6
Messaggi: 567
Iscritto il: mar apr 21, 2009 17:25
Slackware: 64bit -current
Kernel: 3.5.4
Desktop: FluxBox
Località: Palermo
Contatta:

Re: Impossibile leggere pdf

Messaggioda RedSkull92 » mar lug 24, 2012 21:38

Nessuno ha avuto problemi con poppler ?

Avatar utente
RedSkull92
Linux 2.6
Linux 2.6
Messaggi: 567
Iscritto il: mar apr 21, 2009 17:25
Slackware: 64bit -current
Kernel: 3.5.4
Desktop: FluxBox
Località: Palermo
Contatta:

Re: Impossibile leggere pdf

Messaggioda RedSkull92 » ven lug 27, 2012 21:14

nessuno ha problemi con i pdf ?

Avatar utente
targzeta
Iper Master
Iper Master
Messaggi: 6366
Iscritto il: gio nov 03, 2005 14:05
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM
Località: Carpignano Sal. (LE) <-> Pisa

Re: Impossibile leggere pdf

Messaggioda targzeta » ven lug 27, 2012 22:10

Io uso xpdf e attualmente non ho problemi di sorta :). Però magari dovresti ricompilare epdfview.

Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà 

Avatar utente
RedSkull92
Linux 2.6
Linux 2.6
Messaggi: 567
Iscritto il: mar apr 21, 2009 17:25
Slackware: 64bit -current
Kernel: 3.5.4
Desktop: FluxBox
Località: Palermo
Contatta:

Re: Impossibile leggere pdf

Messaggioda RedSkull92 » sab lug 28, 2012 1:28

Con xpdf mi funziona ma è un programma abbastanza pessimo.
Lento e brutto.
Mi trovavo bene con epdf che non riesco a compilare, penso a causa di quella funzione deprecata che viene usata nei sorgenti.

Avatar utente
6C33C
Packager
Packager
Messaggi: 254
Iscritto il: gio ott 12, 2006 16:09
Nome Cognome: Giorgio
Slackware: 14.0 x86_64
Kernel: 3.9.7
Desktop: kde 4.10.4 ,razorqt
Località: Rimini

Re: Impossibile leggere pdf

Messaggioda 6C33C » sab lug 28, 2012 10:30

RedSkull92 ha scritto:Con xpdf mi funziona ma è un programma abbastanza pessimo.
Lento e brutto.
Mi trovavo bene con epdf che non riesco a compilare, penso a causa di quella funzione deprecata che viene usata nei sorgenti.

Se stai cercando di compilare epdfview-0.1.8 prova usare questa patch
https://build.opensuse.org/package/view ... 44327d1cba
Sei su current giusto ?

Avatar utente
RedSkull92
Linux 2.6
Linux 2.6
Messaggi: 567
Iscritto il: mar apr 21, 2009 17:25
Slackware: 64bit -current
Kernel: 3.5.4
Desktop: FluxBox
Località: Palermo
Contatta:

Re: Impossibile leggere pdf

Messaggioda RedSkull92 » sab lug 28, 2012 11:56

Sì, sono su current.
EDIT: La patch ha funzionato perfettamente!
Ultima modifica di RedSkull92 il sab lug 28, 2012 12:25, modificato 1 volta in totale.

erio
Linux 3.x
Linux 3.x
Messaggi: 1164
Iscritto il: ven ott 09, 2009 19:25
Slackware: 13.37
Kernel: 3.0.7
Desktop: kde

Re: Impossibile leggere pdf

Messaggioda erio » sab lug 28, 2012 11:57

la patch e' inclusa nello slackbuild di phantomX e compila bene

Avatar utente
RedSkull92
Linux 2.6
Linux 2.6
Messaggi: 567
Iscritto il: mar apr 21, 2009 17:25
Slackware: 64bit -current
Kernel: 3.5.4
Desktop: FluxBox
Località: Palermo
Contatta:

Re: [RISOLTO] Impossibile leggere pdf

Messaggioda RedSkull92 » sab lug 28, 2012 13:18

Non sapevo dello slackbuild di phantomX

Avatar utente
targzeta
Iper Master
Iper Master
Messaggi: 6366
Iscritto il: gio nov 03, 2005 14:05
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM
Località: Carpignano Sal. (LE) <-> Pisa

Re: Impossibile leggere pdf

Messaggioda targzeta » sab lug 28, 2012 23:00

RedSkull92 ha scritto:Con xpdf mi funziona ma è un programma abbastanza pessimo.
Lento e brutto.
Mi trovavo bene con epdf che non riesco a compilare, penso a causa di quella funzione deprecata che viene usata nei sorgenti.

L'ho provato anche io epdfview ed effettivamente va bene anche per le mie esigenze :thumbright:

Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà 


Torna a “Slackware”

Chi c’è in linea

Visitano il forum: Google [Bot], pasqualebh e 1 ospite